Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.configuration
Interface WebserviceSecurityMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, WebLogicMBean

public interface WebserviceSecurityMBean
extends ConfigurationMBean

Encapsulates information about a Web Service security configuration.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`WebserviceCredentialProviderMBean` | `createWebserviceCredentialProvider(String name)` create WebserviceCredentialProvider object
`WebserviceSecurityTokenMBean` | `createWebserviceSecurityToken(String name)` create WebserviceSecurityToken object
`WebserviceTimestampMBean` | `createWebserviceTimestamp(String name)` create a WebserviceTimestampMBean object
`WebserviceTokenHandlerMBean` | `createWebserviceTokenHandler(String name)` create WebserviceTokenHandler object
`void` | `destroyWebserviceCredentialProvider(WebserviceCredentialProviderMBean wcp)` destroy WebserviceCredentialProvider object
`void` | `destroyWebserviceSecurityToken(WebserviceSecurityTokenMBean wcp)` destroy WebserviceSecurityToken object
`void` | `destroyWebserviceTimestamp(WebserviceTimestampMBean wtm)` destroy a WebserviceTimestampMBean object
`void` | `destroyWebserviceTokenHandler(WebserviceTokenHandlerMBean wsth)` destroy WebserviceTokenHandler object
`WebserviceCredentialProviderMBean[]` | `getWebserviceCredentialProviders()` Specifies the list of credential providers that have been configured for this Web Service security configuration.
`WebserviceSecurityTokenMBean[]` | `getWebserviceSecurityTokens()` Specifies the list of tokens that have been configured for this Web Service security configuration.
`WebserviceTimestampMBean` | `getWebserviceTimestamp()` Specifies the timestamp information that has been configured for this Web Service security configuration.
`WebserviceTokenHandlerMBean[]` | `getWebserviceTokenHandlers()` Specifies the list of token handlers that have been configured for this Web Service security configuration.
`WebserviceCredentialProviderMBean` | `lookupWebserviceCredentialProvider(String name)` look up WebserviceSecurity object
`WebserviceSecurityTokenMBean` | `lookupWebserviceSecurityToken(String name)` look up WebserviceSecurityToken object
`WebserviceTokenHandlerMBean` | `lookupWebserviceTokenHandler(String name)` look up WebserviceSecurity object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### createWebserviceCredentialProvider

    public WebserviceCredentialProviderMBean createWebserviceCredentialProvider(String name)

  create WebserviceCredentialProvider object

  Parameters:
    `name` - of WebserviceCredentialProvider
  Returns:
    WebserviceCredentialProvider object
  Since:
    9.0.0.0

### createWebserviceSecurityToken

    public WebserviceSecurityTokenMBean createWebserviceSecurityToken(String name)

  create WebserviceSecurityToken object

  Parameters:
    `name` - of WebserviceSecurityToken
  Returns:
    WebserviceSecurityToken object
  Since:
    9.0.0.0

### createWebserviceTimestamp

    public WebserviceTimestampMBean createWebserviceTimestamp(String name)

  create a WebserviceTimestampMBean object

  Returns:
    created WebserviceTimestampMBean object
  Since:
    9.0.0.0

### createWebserviceTokenHandler

    public WebserviceTokenHandlerMBean createWebserviceTokenHandler(String name)

  create WebserviceTokenHandler object

  Parameters:
    `name` - of WebserviceTokenHandler
  Returns:
    WebserviceTokenHandler object
  Since:
    9.0.0.0

### destroyWebserviceCredentialProvider

    public void destroyWebserviceCredentialProvider(WebserviceCredentialProviderMBean wcp)

  destroy WebserviceCredentialProvider object

  Parameters:
    `wcp` - WebserviceCredentialProvider mbean
  Since:
    9.0.0.0

### destroyWebserviceSecurityToken

    public void destroyWebserviceSecurityToken(WebserviceSecurityTokenMBean wcp)

  destroy WebserviceSecurityToken object

  Parameters:
    `wcp` - WebserviceSecurityToken mbean
  Since:
    9.0.0.0

### destroyWebserviceTimestamp

    public void destroyWebserviceTimestamp(WebserviceTimestampMBean wtm)

  destroy a WebserviceTimestampMBean object

  Parameters:
    `wtm` - WebserviceTimestampMBean object to destroy
  Since:
    9.0.0.0

### destroyWebserviceTokenHandler

    public void destroyWebserviceTokenHandler(WebserviceTokenHandlerMBean wsth)

  destroy WebserviceTokenHandler object

  Parameters:
    `wsth` - WebserviceTokenHandler mbean
  Since:
    9.0.0.0

### getWebserviceCredentialProviders

    public WebserviceCredentialProviderMBean[] getWebserviceCredentialProviders()

  Specifies the list of credential providers that have been configured for this Web Service security configuration.

  Returns:
    an array of WebserviceSecurity objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getWebserviceSecurityTokens

    public WebserviceSecurityTokenMBean[] getWebserviceSecurityTokens()

  Specifies the list of tokens that have been configured for this Web Service security configuration.

  Returns:
    an array of WebserviceSecurityToken objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getWebserviceTimestamp

    public WebserviceTimestampMBean getWebserviceTimestamp()

  Specifies the timestamp information that has been configured for this Web Service security configuration.

  Returns:
    WebserviceTimestampMBean object
  Since:
    9.0.0.0

### getWebserviceTokenHandlers

    public WebserviceTokenHandlerMBean[] getWebserviceTokenHandlers()

  Specifies the list of token handlers that have been configured for this Web Service security configuration.

  Returns:
    an array of WebserviceSecurity objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### lookupWebserviceCredentialProvider

    public WebserviceCredentialProviderMBean lookupWebserviceCredentialProvider(String name)

  look up WebserviceSecurity object

  Parameters:
    `name` - name of WebserviceSecurity
  Returns:
    WebserviceCredentialProvider object
  Since:
    9.0.0.0

### lookupWebserviceSecurityToken

    public WebserviceSecurityTokenMBean lookupWebserviceSecurityToken(String name)

  look up WebserviceSecurityToken object

  Parameters:
    `name` - name of WebserviceSecurityToken
  Returns:
    WebserviceSecurityToken object
  Since:
    9.0.0.0

### lookupWebserviceTokenHandler

    public WebserviceTokenHandlerMBean lookupWebserviceTokenHandler(String name)

  look up WebserviceSecurity object

  Parameters:
    `name` - name of WebserviceSecurity
  Returns:
    WebserviceTokenHandler object
  Since:
    9.0.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD